/*
 * DialogoTerminarSesion.java
 *
 * Created on 18 de mayo de 2008, 22:57
 */

package org.casino.gui.comun;

/**
 *
 * @author  xaelvil
 */
public class DialogoTerminarSesion extends javax.swing.JDialog {

    /** Creates new form DialogoTerminarSesion */
    public DialogoTerminarSesion(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
    }
 
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        textoDialogo = new javax.swing.JLabel();
        botonTerminarSesion = new javax.swing.JButton();
        botonSalirAplicacion = new javax.swing.JButton();
        botonCancelar = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setResizable(false);

        textoDialogo.setFont(new java.awt.Font("Lucida Grande", 0, 18));
        textoDialogo.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        textoDialogo.setText("¿Salir de la Aplicación?");
        textoDialogo.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);

        botonTerminarSesion.setText("Terminar Sesión");
        botonTerminarSesion.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                botonTerminarSesionActionPerformed(evt);
            }
        });

        botonSalirAplicacion.setText("Salir de la Aplicación");
        botonSalirAplicacion.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                botonSalirAplicacionActionPerformed(evt);
            }
        });

        botonCancelar.setText("Cancelar");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(textoDialogo, javax.swing.GroupLayout.DEFAULT_SIZE, 430, Short.MAX_VALUE)
                        .addContainerGap())
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(botonTerminarSesion, javax.swing.GroupLayout.DEFAULT_SIZE, 145, Short.MAX_VALUE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(botonSalirAplicacion, javax.swing.GroupLayout.DEFAULT_SIZE, 175, Short.MAX_VALUE)
                        .addGap(6, 6, 6)
                        .addComponent(botonCancelar, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addGap(6, 6, 6))))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(textoDialogo, javax.swing.GroupLayout.DEFAULT_SIZE, 42, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(botonTerminarSesion)
                    .addComponent(botonSalirAplicacion)
                    .addComponent(botonCancelar))
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void botonTerminarSesionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_botonTerminarSesionActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_botonTerminarSesionActionPerformed

    private void botonSalirAplicacionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_botonSalirAplicacionActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_botonSalirAplicacionActionPerformed
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                DialogoTerminarSesion dialog = new DialogoTerminarSesion(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton botonCancelar;
    private javax.swing.JButton botonSalirAplicacion;
    private javax.swing.JButton botonTerminarSesion;
    private javax.swing.JLabel textoDialogo;
    // End of variables declaration//GEN-END:variables
    
}
